(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/router'), require('rxjs'), require('@angular/core'), require('lib-shared-material'), require('lib-shared')) :
    typeof define === 'function' && define.amd ? define('lib-sig-shell', ['exports', '@angular/router', 'rxjs', '@angular/core', 'lib-shared-material', 'lib-shared'], factory) :
    (factory((global['lib-sig-shell'] = {}),global.ng.router,global.rxjs,global.ng.core,global['lib-shared-material'],global['lib-shared']));
}(this, (function (exports,router,rxjs,core,libSharedMaterial,libShared) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NavService = /** @class */ (function () {
        function NavService(router$$1) {
            var _this = this;
            this.router = router$$1;
            this.currentUrl = new rxjs.BehaviorSubject(undefined);
            this.router.events.subscribe(( /**
             * @param {?} event
             * @return {?}
             */function (event) {
                if (event instanceof router.NavigationEnd) {
                    _this.currentUrl.next(event.urlAfterRedirects);
                }
            }));
        }
        /**
         * @return {?}
         */
        NavService.prototype.closeNav = /**
         * @return {?}
         */
            function () {
                this.appDrawer.close();
            };
        /**
         * @return {?}
         */
        NavService.prototype.openNav = /**
         * @return {?}
         */
            function () {
                this.appDrawer.open();
            };
        NavService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        NavService.ctorParameters = function () {
            return [
                { type: router.Router }
            ];
        };
        return NavService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TopNavComponent = /** @class */ (function () {
        function TopNavComponent(navService) {
            this.navService = navService;
            console.log('carlos', 'teste');
        }
        /**
         * @return {?}
         */
        TopNavComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        TopNavComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'lib-top-nav',
                        template: "<mat-card>\n  OK !!!\n</mat-card>\n",
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        TopNavComponent.ctorParameters = function () {
            return [
                { type: NavService }
            ];
        };
        return TopNavComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LibSigShellModule = /** @class */ (function () {
        function LibSigShellModule() {
        }
        LibSigShellModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [TopNavComponent],
                        imports: [libShared.LibSharedModule, libSharedMaterial.LibSharedMaterialModule],
                        exports: [TopNavComponent],
                        providers: [NavService]
                    },] }
        ];
        return LibSigShellModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.TopNavComponent = TopNavComponent;
    exports.NavService = NavService;
    exports.LibSigShellModule = LibSigShellModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=lib-sig-shell.umd.js.map