import { NavigationEnd, Router } from '@angular/router';
import { BehaviorSubject } from 'rxjs';
import { Injectable, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { LibSharedMaterialModule } from 'lib-shared-material';
import { LibSharedModule } from 'lib-shared';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NavService = /** @class */ (function () {
    function NavService(router) {
        var _this = this;
        this.router = router;
        this.currentUrl = new BehaviorSubject(undefined);
        this.router.events.subscribe((/**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event instanceof NavigationEnd) {
                _this.currentUrl.next(event.urlAfterRedirects);
            }
        }));
    }
    /**
     * @return {?}
     */
    NavService.prototype.closeNav = /**
     * @return {?}
     */
    function () {
        this.appDrawer.close();
    };
    /**
     * @return {?}
     */
    NavService.prototype.openNav = /**
     * @return {?}
     */
    function () {
        this.appDrawer.open();
    };
    NavService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    NavService.ctorParameters = function () { return [
        { type: Router }
    ]; };
    return NavService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var TopNavComponent = /** @class */ (function () {
    function TopNavComponent(navService) {
        this.navService = navService;
        console.log('carlos', 'teste');
    }
    /**
     * @return {?}
     */
    TopNavComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    TopNavComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-top-nav',
                    template: "<mat-card>\n  OK !!!\n</mat-card>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    TopNavComponent.ctorParameters = function () { return [
        { type: NavService }
    ]; };
    return TopNavComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var LibSigShellModule = /** @class */ (function () {
    function LibSigShellModule() {
    }
    LibSigShellModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [TopNavComponent],
                    imports: [LibSharedModule, LibSharedMaterialModule],
                    exports: [TopNavComponent],
                    providers: [NavService]
                },] }
    ];
    return LibSigShellModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { TopNavComponent, NavService, LibSigShellModule };

//# sourceMappingURL=lib-sig-shell.js.map